Skip to main content

Notification Destination

View as Markdown

NotificationDestination object

idstring

UUID identifying notification destination.

Example: fe25e731-92f2-4838-9fb2-1ca364320a3d

display_namestring

The display name for the notification destination.

Example: My slack destination

destination_typestring

[Output-only] The type of the notification destination. The type can not be changed once set.

Values: SLACK, EMAIL, WEBHOOK, PAGERDUTY, MICROSOFT_TEAMS

configobject

The configuration for the notification destination. Will be exactly one of the nested configs. Only returns for users with workspace admin permissions.

Show child attributesHide child attributes
slackobject
Show child attributesHide child attributes
urlstring

[Input-Only] URL for Slack destination.

Example: https://hooks.slack.com/services/T00000000/B00000000/XXXXXXXXXXXXXXXX

url_setboolean

[Output-Only] Whether URL is set.

oauth_tokenstring

[Input-Only] OAuth token for Slack authentication.

oauth_token_setboolean

[Output-Only] Whether OAuth token is set.

channel_idstring

[Input-Only] Slack channel ID for notifications.

Example: C1234567890

channel_id_setboolean

[Output-Only] Whether channel ID is set.

emailobject
Show child attributesHide child attributes
addressesarray of string

Email addresses to notify.

generic_webhookobject
Show child attributesHide child attributes
urlstring

[Input-Only] URL for webhook.

Example: https://my-webhook.com

url_setboolean

[Output-Only] Whether URL is set.

usernamestring

[Input-Only][Optional] Username for webhook.

Example: username

username_setboolean

[Output-Only] Whether username is set.

passwordstring

[Input-Only][Optional] Password for webhook.

Example: password

password_setboolean

[Output-Only] Whether password is set.

pagerdutyobject
Show child attributesHide child attributes
integration_keystring

[Input-Only] Integration key for PagerDuty.

Example: XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX

integration_key_setboolean

[Output-Only] Whether integration key is set.

microsoft_teamsobject
Show child attributesHide child attributes
urlstring

[Input-Only] URL for Microsoft Teams webhook.

Example: https://outlook.office.com/webhook/XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX

url_setboolean

[Output-Only] Whether URL is set.

app_idstring

[Input-Only] App ID for Microsoft Teams App.

Example: 00000000-0000-0000-0000-000000000000

app_id_setboolean

[Output-Only] Whether App ID is set.

auth_secretstring

[Input-Only] Secret for Microsoft Teams App authentication.

Example: 0p8S~exampleSecretValue12345

auth_secret_setboolean

[Output-Only] Whether secret is set.

channel_urlstring

[Input-Only] Channel URL for Microsoft Teams App.

channel_url_setboolean

[Output-Only] Whether Channel URL is set.

tenant_idstring

[Input-Only] Tenant ID for Microsoft Teams App.

Example: aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee

tenant_id_setboolean

[Output-Only] Whether Tenant ID is set.

Get

GET /api/2.0/notification-destinations/{id}

Gets a notification destination.

API scopes: notifications

Parameters

idstringpath

Example: fe25e731-92f2-4838-9fb2-1ca364320a3d

Response

Returns the NotificationDestination object.

List

GET /api/2.0/notification-destinations

Lists notification destinations.

API scopes: notifications

Parameters

page_tokenstringquery
page_sizeint64query

Default: 20

Response

resultsarray of object
Show child attributesHide child attributes
idstring

UUID identifying notification destination.

Example: fe25e731-92f2-4838-9fb2-1ca364320a3d

display_namestring

The display name for the notification destination.

Example: My slack destination

destination_typestring

[Output-only] The type of the notification destination. The type can not be changed once set.

Values: SLACK, EMAIL, WEBHOOK, PAGERDUTY, MICROSOFT_TEAMS

configobject

The configuration for the notification destination. Will be exactly one of the nested configs. Only returns for users with workspace admin permissions.

Show child attributesHide child attributes
slackobjectRequired
Show child attributesHide child attributes
urlstring

[Input-Only] URL for Slack destination.

Example: https://hooks.slack.com/services/T00000000/B00000000/XXXXXXXXXXXXXXXX

url_setboolean

[Output-Only] Whether URL is set.

oauth_tokenstring

[Input-Only] OAuth token for Slack authentication.

oauth_token_setboolean

[Output-Only] Whether OAuth token is set.

channel_idstring

[Input-Only] Slack channel ID for notifications.

Example: C1234567890

channel_id_setboolean

[Output-Only] Whether channel ID is set.

emailobjectRequired
Show child attributesHide child attributes
addressesarray of string

Email addresses to notify.

generic_webhookobjectRequired
Show child attributesHide child attributes
urlstring

[Input-Only] URL for webhook.

Example: https://my-webhook.com

url_setboolean

[Output-Only] Whether URL is set.

usernamestring

[Input-Only][Optional] Username for webhook.

Example: username

username_setboolean

[Output-Only] Whether username is set.

passwordstring

[Input-Only][Optional] Password for webhook.

Example: password

password_setboolean

[Output-Only] Whether password is set.

pagerdutyobjectRequired
Show child attributesHide child attributes
integration_keystring

[Input-Only] Integration key for PagerDuty.

Example: XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX

integration_key_setboolean

[Output-Only] Whether integration key is set.

microsoft_teamsobjectRequired
Show child attributesHide child attributes
urlstring

[Input-Only] URL for Microsoft Teams webhook.

Example: https://outlook.office.com/webhook/XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX

url_setboolean

[Output-Only] Whether URL is set.

app_idstring

[Input-Only] App ID for Microsoft Teams App.

Example: 00000000-0000-0000-0000-000000000000

app_id_setboolean

[Output-Only] Whether App ID is set.

auth_secretstring

[Input-Only] Secret for Microsoft Teams App authentication.

Example: 0p8S~exampleSecretValue12345

auth_secret_setboolean

[Output-Only] Whether secret is set.

channel_urlstring

[Input-Only] Channel URL for Microsoft Teams App.

channel_url_setboolean

[Output-Only] Whether Channel URL is set.

tenant_idstring

[Input-Only] Tenant ID for Microsoft Teams App.

Example: aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee

tenant_id_setboolean

[Output-Only] Whether Tenant ID is set.

next_page_tokenstring

Page token for next of results.

Create

POST /api/2.0/notification-destinations

Creates a notification destination. Requires workspace admin permissions.

API scopes: notifications

Request body

display_namestring

The display name for the notification destination.

configobject

The configuration for the notification destination. Must wrap EXACTLY one of the nested configs.

Show child attributesHide child attributes
slackobjectRequired
Show child attributesHide child attributes
urlstring

[Input-Only] URL for Slack destination.

Example: https://hooks.slack.com/services/T00000000/B00000000/XXXXXXXXXXXXXXXX

url_setboolean

[Output-Only] Whether URL is set.

oauth_tokenstring

[Input-Only] OAuth token for Slack authentication.

oauth_token_setboolean

[Output-Only] Whether OAuth token is set.

channel_idstring

[Input-Only] Slack channel ID for notifications.

Example: C1234567890

channel_id_setboolean

[Output-Only] Whether channel ID is set.

emailobjectRequired
Show child attributesHide child attributes
addressesarray of string

Email addresses to notify.

generic_webhookobjectRequired
Show child attributesHide child attributes
urlstring

[Input-Only] URL for webhook.

Example: https://my-webhook.com

url_setboolean

[Output-Only] Whether URL is set.

usernamestring

[Input-Only][Optional] Username for webhook.

Example: username

username_setboolean

[Output-Only] Whether username is set.

passwordstring

[Input-Only][Optional] Password for webhook.

Example: password

password_setboolean

[Output-Only] Whether password is set.

pagerdutyobjectRequired
Show child attributesHide child attributes
integration_keystring

[Input-Only] Integration key for PagerDuty.

Example: XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX

integration_key_setboolean

[Output-Only] Whether integration key is set.

microsoft_teamsobjectRequired
Show child attributesHide child attributes
urlstring

[Input-Only] URL for Microsoft Teams webhook.

Example: https://outlook.office.com/webhook/XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX

url_setboolean

[Output-Only] Whether URL is set.

app_idstring

[Input-Only] App ID for Microsoft Teams App.

Example: 00000000-0000-0000-0000-000000000000

app_id_setboolean

[Output-Only] Whether App ID is set.

auth_secretstring

[Input-Only] Secret for Microsoft Teams App authentication.

Example: 0p8S~exampleSecretValue12345

auth_secret_setboolean

[Output-Only] Whether secret is set.

channel_urlstring

[Input-Only] Channel URL for Microsoft Teams App.

channel_url_setboolean

[Output-Only] Whether Channel URL is set.

tenant_idstring

[Input-Only] Tenant ID for Microsoft Teams App.

Example: aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee

tenant_id_setboolean

[Output-Only] Whether Tenant ID is set.

Response

Returns the NotificationDestination object.

Update

PATCH /api/2.0/notification-destinations/{id}

Updates a notification destination. Requires workspace admin permissions. At least one field is required in the request body.

API scopes: notifications

Parameters

idstringpath

UUID identifying notification destination.

Example: fe25e731-92f2-4838-9fb2-1ca364320a3d

Request body

display_namestring

The display name for the notification destination.

configobject

The configuration for the notification destination. Must wrap EXACTLY one of the nested configs.

Show child attributesHide child attributes
slackobjectRequired
Show child attributesHide child attributes
urlstring

[Input-Only] URL for Slack destination.

Example: https://hooks.slack.com/services/T00000000/B00000000/XXXXXXXXXXXXXXXX

url_setboolean

[Output-Only] Whether URL is set.

oauth_tokenstring

[Input-Only] OAuth token for Slack authentication.

oauth_token_setboolean

[Output-Only] Whether OAuth token is set.

channel_idstring

[Input-Only] Slack channel ID for notifications.

Example: C1234567890

channel_id_setboolean

[Output-Only] Whether channel ID is set.

emailobjectRequired
Show child attributesHide child attributes
addressesarray of string

Email addresses to notify.

generic_webhookobjectRequired
Show child attributesHide child attributes
urlstring

[Input-Only] URL for webhook.

Example: https://my-webhook.com

url_setboolean

[Output-Only] Whether URL is set.

usernamestring

[Input-Only][Optional] Username for webhook.

Example: username

username_setboolean

[Output-Only] Whether username is set.

passwordstring

[Input-Only][Optional] Password for webhook.

Example: password

password_setboolean

[Output-Only] Whether password is set.

pagerdutyobjectRequired
Show child attributesHide child attributes
integration_keystring

[Input-Only] Integration key for PagerDuty.

Example: XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX

integration_key_setboolean

[Output-Only] Whether integration key is set.

microsoft_teamsobjectRequired
Show child attributesHide child attributes
urlstring

[Input-Only] URL for Microsoft Teams webhook.

Example: https://outlook.office.com/webhook/XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX

url_setboolean

[Output-Only] Whether URL is set.

app_idstring

[Input-Only] App ID for Microsoft Teams App.

Example: 00000000-0000-0000-0000-000000000000

app_id_setboolean

[Output-Only] Whether App ID is set.

auth_secretstring

[Input-Only] Secret for Microsoft Teams App authentication.

Example: 0p8S~exampleSecretValue12345

auth_secret_setboolean

[Output-Only] Whether secret is set.

channel_urlstring

[Input-Only] Channel URL for Microsoft Teams App.

channel_url_setboolean

[Output-Only] Whether Channel URL is set.

tenant_idstring

[Input-Only] Tenant ID for Microsoft Teams App.

Example: aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee

tenant_id_setboolean

[Output-Only] Whether Tenant ID is set.

Response

Returns the NotificationDestination object.

Delete

DELETE /api/2.0/notification-destinations/{id}

Deletes a notification destination. Requires workspace admin permissions.

API scopes: notifications

Parameters

idstringpath

Example: fe25e731-92f2-4838-9fb2-1ca364320a3d